<?php
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/modules/church/includes/church_db.inc");
include_once($path_to_root . "/modules/church/includes/church_ui.inc");
global $reports, $dim;

function rep_member_list($param, $type)
{
    if ($type == 'MEMBER_LIST') {
        return member_list($param, null, _("Select Member"), false);
    }
}

function rep_member_group_list($param, $type)
{
    if ($type == 'MEMBER_GROUP_LIST') {
        return group_list($param, '', _("Select Member Group"), false);
    }
}

function rep_bank_list($param, $type)
{
    if ($type == 'BANK_ACCOUNTS_LIST') {
        return bank_accounts_list($param,null, false,  _("Select Bank"));
    }
}

$reports->register_controls("rep_member_list");
$reports->register_controls("rep_member_group_list");
$reports->register_controls("rep_bank_list");

define('RC_CHURCH', 11);
$reports->addReportClass(_('Church'), RC_CHURCH);
$reports->addReport(RC_CHURCH,1010,_('&Member Transaction Report'),
	array(	_('Member') => 'MEMBER_LIST',
                        _('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Project') => 'DIMENSIONS',
			_('Member Group') => 'MEMBER_GROUP_LIST',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));	

$reports->addReport(RC_CHURCH,1011,_('&Group Contribution Statement'),
	array(	_('Member Group') => 'MEMBER_GROUP_LIST',
                        _('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Project') => 'DIMENSIONS',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));	

$reports->addReport(RC_CHURCH,1012,_('&Member Contribution By Bank '),
	array(	_('Bank Accounts') => 'BANK_ACCOUNTS_LIST',
                        _('Start Date') => 'DATEBEGINM',
			_('End Date') => 'DATEENDM',
			_('Project') => 'DIMENSIONS',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));

$reports->addReport(RC_CHURCH,1013,_('&Projects Summary Report'),
	array(	_('Project') => 'DIMENSIONS',
			_('Orientation') => 'ORIENTATION',
			_('Destination') => 'DESTINATION'));
